% Zadatak 6.4

clear variables
close all
clc

% Simulacija 6.4 a) - model voda PI šemom

Output = sim('zadatak_6_4_a.slx') ; 
V_pi = Output.V ; 
Time_pi = V_pi(:,1) ; 
V_pi = V_pi(:,2) ; 

% Simulacija 6.4 c) - model voda sa distribuiranim parametrima

Output = sim('zadatak_6_4_c.slx') ; 
V_distributed = Output.V ; 
Time_distributed = V_distributed(:,1) ; 
V_distributed = V_distributed(:,2) ; 

% Poređenje talasnih oblika napona

figure
plot(Time_pi,V_pi,'b',Time_distributed,V_distributed,'r','LineWidth',1.5)
xlabel('Time[s]')
ylabel('Voltage[p.u.]')
grid on
box on
legend('PI section','Distributed model','Location','Best')