% Zadatak 7.2

clear variables
close all
clc

% Inicijalizacija

Base_Resistance = 0.01273 ; 
Resistance_Vector = (1 : 5)*Base_Resistance ; 

% Glavna petlja

for i = 1 : length(Resistance_Vector)
    
   Resistance = Resistance_Vector(i) ; 
   Output = sim('zadatak_7_2_model.slx') ; 
   V = Output.V ; 
   Time = V(:,1) ; 
   V = V(:,2) ; 
   
   if i == 1
       
       figure
       plot(Time,V,'LineWidth',1.5)
       hold on
       
   else
       
       plot(Time,V,'LineWidth',1.5)
       
   end
    
end

grid on 
box on
xlabel('Time[s]')
ylabel('Voltage[p.u.]')
legend('1','2','3','4','5','Location','Best')